Package be.fgov.ehealth.dics.protocol.v5

# Class FindLegislationTextRequest

java.lang.Object
be.fgov.ehealth.commons.protocol.v2.RequestType
be.fgov.ehealth.dics.protocol.v5.DicsRequestType
be.fgov.ehealth.dics.protocol.v5.FindLegislationTextRequest

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:17:51+02:00", comments="JAXB RI v4.0.5") public class FindLegislationTextRequest extends DicsRequestType implements Serializable

Java class for FindLegislationTextRequestType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="FindLegislationTextRequestType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:dics:protocol:v5}DicsRequestType">
           <choice>
             <element name="FindLegalBases" type="{urn:be:fgov:ehealth:dics:protocol:v5}FindLegalBasesType"/>
             <element name="FindByLegalReferencePath" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="FindByDmpp" type="{urn:be:fgov:ehealth:dics:protocol:v5}FindByDmppType"/>
           </choice>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FindLegislationTextRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FindByDmppType`
  `getFindByDmpp()`
  Returns all legal references concerning the medicinal product identified by this Dmpp
  `String`
  `getFindByLegalReferencePath()`
  Returns the children of a legal reference identified by a path.
  `FindLegalBasesType`
  `getFindLegalBases()`
  Gets a list of all legal bases known in the system, inluding the first level legal reference (if available).
  `void`
  `setFindByDmpp(FindByDmppType value)`
  Sets the value of the findByDmpp property.
  `void`
  `setFindByLegalReferencePath(String value)`
  Sets the value of the findByLegalReferencePath property.
  `void`
  `setFindLegalBases(FindLegalBasesType value)`
  Sets the value of the findLegalBases property.

  ### Methods inherited from class be.fgov.ehealth.dics.protocol.v5.DicsRequestType

  `getSearchDate, setSearchDate`

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.RequestType

  `getId, getIssueInstant, setId, setIssueInstant`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FindLegislationTextRequest

    public FindLegislationTextRequest()

- ## Method Details

  - ### getFindByDmpp

    public FindByDmppType getFindByDmpp()
    Returns all legal references concerning the medicinal product identified by this Dmpp
    Returns:
      possible object is `FindByDmppType`

  - ### setFindByDmpp

    public void setFindByDmpp(FindByDmppType value)
    Sets the value of the findByDmpp property.
    Parameters:
      `value` - allowed object is `FindByDmppType`
    See Also:
      - `getFindByDmpp()`

  - ### getFindByLegalReferencePath

    public String getFindByLegalReferencePath()
    Returns the children of a legal reference identified by a path. If the referenced legal reference is a leaf reference (no child legal references), the entire legal reference and all children (legal text, formal interpretation) is returned. If the legal reference contains legal reference children, only the direct children are returned.
    Returns:
      possible object is `String`

  - ### setFindByLegalReferencePath

    public void setFindByLegalReferencePath(String value)
    Sets the value of the findByLegalReferencePath property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getFindByLegalReferencePath()`

  - ### getFindLegalBases

    public FindLegalBasesType getFindLegalBases()
    Gets a list of all legal bases known in the system, inluding the first level legal reference (if available). Using this result, a user can continue digging in the legislation tree using the FindByLegalReferencePath element.
    Returns:
      possible object is `FindLegalBasesType`

  - ### setFindLegalBases

    public void setFindLegalBases(FindLegalBasesType value)
    Sets the value of the findLegalBases property.
    Parameters:
      `value` - allowed object is `FindLegalBasesType`
    See Also:
      - `getFindLegalBases()`